Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.acceptor.latesimulatedannealing
Class LateSimulatedAnnealingAcceptor

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
                  org.optaplanner.core.impl.localsearch.decider.acceptor.latesimulatedannealing.LateSimulatedAnnealingAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

Deprecated.

    @Deprecated
    public class LateSimulatedAnnealingAcceptor

extends AbstractAcceptor

Field Summary
`protected int` | `lateScoreIndex` Deprecated.
`protected int` | `lateSimulatedAnnealingSize` Deprecated.
`protected Score[]` | `previousScores` Deprecated.

Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
`logger`

Constructor Summary
`LateSimulatedAnnealingAcceptor()` Deprecated.

Method Summary
`boolean` | `isAccepted(LocalSearchMoveScope moveScope)` Deprecated.
`void` | `phaseEnded(LocalSearchPhaseScope phaseScope)` Deprecated.
`void` | `phaseStarted(LocalSearchPhaseScope phaseScope)` Deprecated.
`void` | `setLateSimulatedAnnealingSize(int lateSimulatedAnnealingSize)` Deprecated.
`void` | `stepEnded(LocalSearchStepScope stepScope)` Deprecated.

Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
`stepStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener
`stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### lateSimulatedAnnealingSize

    protected int lateSimulatedAnnealingSize

  Deprecated.

### previousScores

    protected Score[] previousScores

  Deprecated.

### lateScoreIndex

    protected int lateScoreIndex

  Deprecated.

Constructor Detail

### LateSimulatedAnnealingAcceptor

    public LateSimulatedAnnealingAcceptor()

  Deprecated.

Method Detail

### setLateSimulatedAnnealingSize

    public void setLateSimulatedAnnealingSize(int lateSimulatedAnnealingSize)

  Deprecated.

### phaseStarted

    public void phaseStarted(LocalSearchPhaseScope phaseScope)

  Deprecated.
  Specified by:
    `phaseStarted` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchPhaseLifecycleListenerAdapter`

### isAccepted

    public boolean isAccepted(LocalSearchMoveScope moveScope)

  Deprecated.
  Parameters:
    `moveScope` - not null
  Returns:
    true if accepted

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Deprecated.
  Specified by:
    `stepEnded` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `stepEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

### phaseEnded

    public void phaseEnded(LocalSearchPhaseScope phaseScope)

  Deprecated.
  Specified by:
    `phaseEnded` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.